package main;

import data.DataBase;
import data.DataParser;

public class Main {

	
	public static void main(String[] args) {
		new Main().start(args);
	}
	
	public void start(String[] args) {
		if(args != null) {
			for(String s : args) {
				switch(s.substring(0,s.indexOf("="))) {
				case "--test":
					break;
				case "--genre":
					break;
				case "--actor":
					break;
				case "--director":
					break;
				case "--film":
					break;
				case "--limit":
					break;
				case "--printdb":
					System.out.println("printing db");
					new DataParser();
					
					DataBase.getInstance().printMovies();
					break;
				default:
					System.out.println("argument "+s+" is unkown");
				}
			}
		}else {
			new ConsoleReader();
		}
	}
	
}
